import type { IVideoItem, ICourseItem, ITeam } from '@/types'

export interface HomeInfo {
  banner: IBanner[]
  admission_guide_docs: IDocItem[]
  admission_guide_videos: IVideoItem[]
  learning_map_docs: IDocItem[]
  exam_strategy_docs: IDocItem[]
  questions: { total: number; list: Record<string, any>[] }
  ranking: ITeam[]
}

export interface IBanner {
  id: string
  title: string
  type: string
  pv: string
  cover_page: string
  url: string
}

export interface IDocItem {
  id: string
  title: string
  pv: string
}

export { IVideoItem, ICourseItem, ITeam }
